<?php
   
require APPPATH . 'libraries/REST_Controller.php';
     
class Memberships extends REST_Controller {
    
     
    public function __construct() {
       parent::__construct();
       $this->load->model('common');
      
    }
       
	public function index_get($id = 0)
	{
        $data = $this->common->readdatacollection('Memberships');
        
        $this->response($data, REST_Controller::HTTP_OK);
	}
      
    
    public function create_post()
    {
        $input = $this->input->post();
        
        $this->common->addnewdatamodel('Memberships', $input);
     
        $this->response($input, REST_Controller::HTTP_OK);
    } 
     
    
    public function update_post($id)
    {
        $input = $this->input->post();
        $this->common->updatedatamodel('Memberships', $id, $input);
     
        $this->response($input, REST_Controller::HTTP_OK);
    }
     
    
    public function remove_delete($id)
    {
        $this->common->deletedatamodel('Memberships', $id);
       
        $this->response(['Membership deleted successfully.'], REST_Controller::HTTP_OK);
    }
    	
}